/*
 * Copyright (c) 2016 LabKey Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.labkey.labwork;

import org.labkey.api.workflow.SystemTaskRunner;
import org.labkey.api.workflow.WorkflowProcess;
import org.labkey.labwork.workflow.WorkflowHandler;

/**
 * Implementation stub for system task that archives results.
 */
public class ArchiveResults extends SystemTaskRunner
{
    public ArchiveResults(WorkflowProcess process)
    {
        super(process);
    }

    @Override
    public void doAction() throws Exception
    {
        WorkflowHandler.archiveResults(_process, getContainer());
    }
}
